Subject: Re: bug#38797: 27.0.50; Feature request: provide the opposite of xref-pop-marker-stack

From: Mattias Engdegård <[email-masked]>
Date: Mon, 25 Oct 2021 20:53:59 +0200

25 okt. 2021 kl. 19.05 skrev Juri Linkov <[email-masked]>:

> I took a look at your change, and noticed an asymmetry
> between the names xref-pop-marker-stack and xref-go-forward.
> Shouldn't the name xref-pop-marker-stack be obsoleted,
> and replaced with a new name xref-go-back?

Yes, this was the intention. I have now done that; thanks for reminding me!

> Another question is that in the menu bar currently the order is
> "Forward" and "Back".  But more natural order would be
> "Back" and "Forward".

Oh, I didn't realise they had to be given in reverse order. Fixed, thank you.

> The menu contains the item "Back Definition".  (BTW, why if the search failed?)

That appears to be a known imperfection in Xref -- I agree it shouldn't be added if the search failed.

> This menu item is too ambiguous.  Renaming it to "Go Back" or "Go Forward"
> doesn't make the menu item clearer.  Only adding a word "Xref" somewhere
> will disambiguate it.  Maybe then "Go Back in Xref" or "Go Back with Xref"?

Maybe, but if we embrace the idea that there really only should be a single back button in the application (which is what other IDEs typically have), then there is no ambiguity. Until then we may need to add "Xref" somehow, but where is the confusion, exactly?

> We need more opinions.

Only if they are well-reasoned!